###################################################################
#
# mysql-init-fixer.spec - used to generate mysql-init-fixer rpms For more info: http://www.rpm.org/max-rpm/ch-rpm-basics.html
#
#  This spec file uses default directories:
#  /usr/src/redhat/SOURCES - orig source, patches, icons, etc.
#  /usr/src/redhat/SPECS - spec files
#  /usr/src/redhat/BUILD - sources unpacked & built here
#  /usr/src/redhat/RPMS - binary package files
#  /usr/src/redhat/SRPMS - source package files
#
###################################################################
#
#  Global Definitions
#
###################################################################
%define aversion 1.0.0
%define arelease 4_centos6
%define actversion %(echo %{aversion}|sed -e "s/-.*$//g")
%define subvers %(echo %{aversion}|awk "/-/"|sed -e "s/^.*-//"|awk '{print "0." $1 "."}')
%define actrelease %(echo %{subvers}%{arelease}|sed -e "s/-/_/g")

#Workaround for 64 bit CPUs
%define _lib lib

###################################################################
#
#  The Preamble
#  information that is displayed when users request info
#
###################################################################
Summary: MySQL init script fixer
Name: mysql-init-fixer
Version: %{actversion}
Release: %{actrelease}
License: Commercial
Group: Utilities/System
#Source: %{name}-sources-%{aversion}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
URL: http://www.schmoozecom.com/
Vendor: Schmooze Com, Inc.
Packager: Bryan Walters <bryan.walters@schmoozecom.com>
Requires: mysql-server
#
# Other tags not used
#
#Distribution:
#Icon:
#Conflicts:
#Serial:
#AutoReqProv:
#ExcludeArch:


%description
Fixes the MySQL init script for CentOS 6

###################################################################
#
#  The Prep Section
#  If stuff needs to be done before building, this is the section
#  Use shell scripts to do stuff like uncompress and cd into source dir
#  %setup macro - cleans old build trees, uncompress and extracts original source
#
###################################################################
%prep
#%setup -n %{name}-%{aversion}


###################################################################
#
#  The Build Section
#  Use shell scripts and do stuff that makes the build happen, i.e. make
#
###################################################################
%build


###################################################################
#
#  The Install Section
#  Use shell scripts and perform the install, like 'make install',
#  but can also be shell commands, i.e. cp, mv, install, etc..
#
###################################################################
%install
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/init/

script='
# CentOS 6.4+ mysqld service fix
#
description "This deletes the /var/lib/mysql/mysqld.sock file when mysqld ist started for the first time since reboot."

task

start on starting mysqld

script
  rm -f /var/lib/mysql/mysql.sock
  end script
'

echo "$script" > $RPM_BUILD_ROOT/%{_sysconfdir}/init/mysql-init-fixer.conf

###################################################################
#
#  Install and Uninstall
#  This section can have scripts that are run either before/after
#  an install process, or before/after an uninstall process
#  %pre - executes prior to the installation of a package
#  %post - executes after the package is installed
#  %preun - executes prior to the uninstallation of a package
#  %postun - executes after the uninstallation of a package
#
###################################################################
%post


###################################################################
#
#  Verify
#
###################################################################
%verifyscript


###################################################################
#
#  Clean
#
###################################################################
%clean
cd $RPM_BUILD_DIR
%{__rm} -rf %{name}-%{version}
%{__rm} -rf /var/log/%{name}-sources-%{version}-%{release}.make.err
%{__rm} -rf $RPM_BUILD_ROOT


###################################################################
#
#  File List
#
###################################################################
%files
%attr(0644,root,root) %{_sysconfdir}/init/mysql-init-fixer.conf


%changelog

* Wed Jan 13 2013  Bryan Walters <jparker@digium.com> - 1.0.0-1
- Initial release
